org.cpsolver.coursett

## Class GetMppInfo

- java.lang.Object
- - org.cpsolver.coursett.GetMppInfo

-     public class GetMppInfo
      extends Object

  Process all solutions (files output.csv) in all subfolders of the given folder and create a CSV (comma separated values text file) combining all minimal perturbation information of the found solutions.
  Version:
    CourseTT 1.3 (University Course Timetabling)
    Copyright (C) 2007 - 2014 Tomáš Müller
    muller@unitime.org
    http://muller.unitime.org
    This library is free software; you can redistribute it and/or modify it under the terms of the GNU Lesser General Public License as published by the Free Software Foundation; either version 3 of the License, or (at your option) any later version.
    This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more details.
    You should have received a copy of the GNU Lesser General Public License along with this library; if not see http://www.gnu.org/licenses/.
  Author:
    Tomáš Müller

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `GetMppInfo()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static HashMap<String,String>` | `getInfo(File outputFile)`
    `static void` | `getInfos(File file, HashMap<String,HashMap<String,HashMap<Integer,double[]>>> infos, String instance)`
    `static void` | `main(String[] args)`
    `static void` | `writeInfos(HashMap<String,HashMap<String,HashMap<Integer,double[]>>> infos, File file)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### GetMppInfo

          public GetMppInfo()

  - ### Method Detail

    - #### getInfo

          public static HashMap<String,String> getInfo(File outputFile)

    - #### getInfos

          public static void getInfos(File file,
                                      HashMap<String,HashMap<String,HashMap<Integer,double[]>>> infos,
                                      String instance)

    - #### writeInfos

          public static void writeInfos(HashMap<String,HashMap<String,HashMap<Integer,double[]>>> infos,
                                        File file)
                                 throws IOException

      Throws:
        `IOException`

    - #### main

          public static void main(String[] args)